$(document).ready(function(){
	div_scale();
	LayerTabMenu();	
	coodiTabMenu();
	fabricTabMenu();
	ModelInformationOpen();
	LayoutBtnClick();
	TypeBtnClick();
	CoodiStartBtn();
	StarClick();
	ListModalOpen();
	slimScroll();
	ModelSize();
});

/* 전체화면 */	
function div_scale() {
	$(window).on("resize",function  () {
		$("#globalContainer").css({width:$(window).width()})
	});
	$(window).trigger("resize");
}


/* 레이어 탭 메뉴 */
function LayerTabMenu() {

	function CloseLeftTabs(){
        $(".tab_content").hide();
		$(".left").css('left','-210px');
	    $("ul.lefttabs").css('left','0');

	    $(".container_Back").css('display','none');
    }

    function CloseRightTabs(){
        $(".right").css('right','-210px');
        $("ul.righttabs").css('right','0');
	    $("ul.lefttabs").css('left','0');

	    $(".container_Back").css('display','none');
    }

    function CloseBotTabs(){
        $(".bottom").css('bottom','-145px');
        $("ul.bottabs").css('bottom','0');
	    $("ul.lefttabs").css('left','0');

	    $(".container_Back").css('display','none');
    }


    $(".tab_content").hide();
    $(".tab_content:first").show();

	$("ul.lefttabs li").click(function () {
		if($(".right").css('right') == "0px"){
	    	CloseRightTabs();
		}
		if($(".bottom").css('bottom') == "0px"){
	    	CloseBotTabs();
		}
	    $("ul.lefttabs li").removeClass("active");
	    $(this).addClass("active");
        $(".tab_content").hide();
        var activeTab = $(this).attr("rel");
        $("#" + activeTab).fadeIn();
        $(".left").css('left','0');
        $("ul.lefttabs").css('left','210px');
        $(".container_Back").css('display','block');
    });

    $("ul.righttabs li").click(function () {
    	if($(".left").css('left') == "0px"){
	    	CloseLeftTabs();
		}
		if($(".bottom").css('bottom') == "0px"){
	    	CloseBotTabs();
		}
        var activeTab = $(this).attr("rel");
        $("#" + activeTab).fadeIn();
        $(".right").css('right','0');
        $("ul.righttabs").css('right','210px');
        $(".container_Back").css('display','block');
    });

    $("ul.bottabs li").click(function () {
    	if($(".right").css('right') == "0px"){
	    	CloseRightTabs();
		}
		if($(".left").css('left') == "0px"){
	    	CloseLeftTabs();
		}
        $("ul.bottabs li").removeClass("active");
        $(this).addClass("active");
        $(".tab_content").hide();
        var activeTab = $(this).attr("rel");
        $("#" + activeTab).fadeIn();
        $(".bottom").css('bottom','0');
        $("ul.bottabs").css('bottom','145px');
        $(".container_Back").css('display','block');
    });

    $(".container_Back").click(function(){
	    CloseLeftTabs();
	    CloseRightTabs();
	    CloseBotTabs();
	}); 
}


function coodiTabMenu() {
	$(".coodiTabContent").hide();
	$(".coodiTabContent:first").show();

	$("ul.coodiTabs li").click(function(){
		$("ul.coodiTabs li").removeClass("coodiTabActive");
		$(this).addClass("coodiTabActive");

		var tabindex = $(this).index();
		$("ul.coodiTabs li").each(function(idx){
			$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_off.png','_on.png'));

			if(tabindex != idx){
				$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_on.png','_off.png'));
			}
		});

		$(".coodiTabContent").hide();
		var coodiActiveTab = $(this).attr("rel");
		$("#" + coodiActiveTab).fadeIn();
	});
}


function fabricTabMenu() {
	$(".fabricTabContent").hide();
	$(".fabricTabContent:first").show();

	$("ul.fabricTabs li").click(function(){
		$("ul.fabricTabs li").removeClass("fabricTabActive");
		$(this).addClass("fabricTabActive");

		var tabindex = $(this).index();
		$("ul.fabricTabs li").each(function(idx){
			$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_off.png','_on.png'));
			if(tabindex != idx){
				$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_on.png','_off.png'));
			}
		});

		$(".fabricTabContent").hide();
		var coodiActiveTab = $(this).attr("rel");
		$("#" + coodiActiveTab).fadeIn();
	});
}


function ModelInformationOpen() {
	$(".ModelInformationOpen").click(function(){
		$(".ModelInformation").fadeIn();
		$(".ModelInformation .Info_closebtn").click(function(){
			$(".ModelInformation").fadeOut();
		});
	});
}


function LayoutBtnClick(){	
	$(".layout>ul>li").click(function(){
		var tabindex = $(this).index();
		$(".layout>ul>li").each(function(idx){
			$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_off.png','_on.png'));
			if(tabindex != idx){
				$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_on.png','_off.png'));
			}
		});
	});
}


function TypeBtnClick(){
	$(".typebutton>ul>li.season>ul>li").click(function(){
		var tabindex = $(this).index();
		$(".typebutton>ul>li.season>ul>li").each(function(idx){
			$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_b.png','_c.png'));
			if(tabindex != idx){
				$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_c.png','_b.png'));
			}
		});
		main_type['season'] = $(this)[0].className.split('-')[1];
	});
	$(".ModelCoodi .typebutton .gender li").click(function(){
		var tabindex = $(this).index();
		$(".ModelCoodi .typebutton .gender li").each(function(idx){
			$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_b.png','_c.png'));
			if(tabindex != idx){
				$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_c.png','_b.png'));
			}
		});
		main_type['gender'] = $(this)[0].className.split('-')[1];
	});
	$(".typebutton>ul>li.type>ul>li").click(function(){
		var tabindex = $(this).index();
		$(".typebutton>ul>li.type>ul>li").each(function(idx){
			$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_b.png','_c.png'));
			if(tabindex != idx){
				$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_c.png','_b.png'));
			}
		});
		main_type['style'] = $(this)[0].className.split('-')[1];
	});
}

function CoodiStartBtn(){
	$('.coodiStart').click(function(){
		$('.ModelCoodi').fadeIn();
	});
	$(".coodi_closebtn").click(function(){
		$(".ModelCoodi").fadeOut();
	});
}

function StarClick(){
    $(".star").bind("click",function() {
        var image_name = $(this).find("img").attr("src");
		console
        if (image_name == "/static/simulation/images/star_c.png"){
            $(this).find("img").attr("src",$(this).find("img").attr("src").replace("_c.png","_n.png"));
        }else if (image_name == "/static/simulation/images/star_n.png"){  
            $(this).find("img").attr("src",$(this).find("img").attr("src").replace("_n.png","_c.png"));
        }
    });
}


function ListModalOpen(){
	$('.ListModalBtn1').click(function(){
		$('.ListModalBack').fadeIn();
		$('.ver1').fadeIn();
		$('.list_closebtn').click(function(){
			$('.ListModalBack').fadeOut();
			$('.ver1').fadeOut();
		});
	});

	$('.ListModalBtn2').click(function(){
		$('.ListModalBack').fadeIn();
		$('.ver2').fadeIn();
		$('.list_closebtn').click(function(){
			$('.ListModalBack').fadeOut();
			$('.ver2').fadeOut();
		});
	});
}

function slimScroll(){
	$('.coodiWrap, .setWrap, .bestWrap').slimscroll({
		width: '180px',
		height: '400px'
	});

	$('.fabricWrap').slimscroll({
		width: '180px',
		height: '400px'
	});

	$('.savelist').slimscroll({
		axis: 'x',
		width: 1024,
		height: 151,
		railVisible: true
	});
}

function ModelSize(){
	$('.swiper-slide').not($('.swiper-slide-active')).css('width','250px');
	$('.swiper-slide').css('margin-right','0');
	$('.swiper-slide').css('margin-left','10px');
	//var sidemodel = $('.swiper-slide').not($('.swiper-slide-active'));
	//$(sidemodel + "div > img").css('width','140px');
}
